<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.bills.mapper.BalanceBillsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="balanceBillsResultMap" type="org.springblade.ldt.bills.entity.BalanceBills">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="status" property="status"/>
        <result column="price" property="price"/>
        <result column="total_price" property="totalPrice"/>
        <result column="pay_id" property="payId"/>
        <result column="title" property="title"/>
        <result column="bill_desc" property="billDesc"/>
        <result column="fee" property="fee"/>
        <result column="receive_id" property="receiveId"/>
        <result column="pay_status" property="payStatus"/>
        <result column="type" property="type"/>
        <result column="trade_no" property="tradeNo"/>
    </resultMap>


    <select id="selectBalanceBillsPage" resultMap="balanceBillsResultMap">
        select * from ldt_balance_bills where is_deleted = 0
    </select>

</mapper>
